My Oracle Support Banner

Running utlrp.sql Script in 11.1.0.7 Raises ORA-04045 on XDB.XDB_PI_TRIG (Doc ID 1641095.1)

Last updated on AUGUST 04, 2018

Applies to:

Oracle Database - Enterprise Edition - Version 11.1.0.7 to 11.1.0.7 [Release 11.1]
Information in this document applies to any platform.

Symptoms

After applying any of the following patches
- the Windows bundle patch #53 for Oracle 11.1.0.7 and onwards
- Database PSU 11.1.0.7.16 and onwards
running the utlrp.sql script, as requested by the post installation steps, may raise below errors

ORA-04045: errors during recompilation/revalidation of XDB.XDB_PI_TRIG
ORA-01031: insufficient privileges
ORA-06512: at "SYS.UTL_RECOMP", line 760

Changes

 Starting with PSU 11.1.0.7.16 as well as Windows bundle patch #53 the XDB_PI_TRIG trigger has been moved to SYS's schema.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.